

import java.awt.*;
import java.awt.event.*;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.Date;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.DecimalFormat;

import javax.swing.JButton;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

import org.apache.derby.client.am.Decimal;

public class Administrator extends Frame implements ActionListener
{	
	//Creates
	
	public static String CKino="CREATE TABLE Kino (KID INTEGER PRIMARY KEY,Name VARCHAR(30) UNIQUE )";
	public static String CSaal="CREATE TABLE Saal ( SID INTEGER PRIMARY KEY,Name VARCHAR(30) UNIQUE,KID INTEGER REFERENCES Kino,Plaetze INTEGER )";
	public static String CFilm="CREATE TABLE Film (FID INTEGER PRIMARY KEY,Name VARCHAR(70) UNIQUE)";
	public static String CVorfuehrung="CREATE TABLE Vorfuehrung (VID INTEGER PRIMARY KEY,Zeit TIMESTAMP ,SID INTEGER  REFERENCES Saal(SID),FID INTEGER  REFERENCES Film(FID),UNIQUE(Zeit,SID,FID),Preis DECIMAL(10,2) )";
	public static String CBesucher="CREATE TABLE Besucher (BID INTEGER PRIMARY KEY,Name VARCHAR(100) )";
	public static String CTicket="CREATE TABLE Ticket (TID INTEGER PRIMARY KEY, Nummer VARCHAR(200) , VID INTEGER REFERENCES Vorfuehrung(VID), BID INTEGER REFERENCES Besucher(BID), Preis DECIMAL(10,2) )";
	public static String CProdukt="CREATE TABLE Produkt (PID INTEGER PRIMARY KEY, Name VARCHAR(30) UNIQUE, Preis DECIMAL(10,2) )";
	public static String CWarenkorb="CREATE TABLE Warenkorb (WID INTEGER PRIMARY KEY, BID INTEGER REFERENCES Besucher(BID), KID INTEGER REFERENCES Kino(KID), Zeit TIMESTAMP)";
	public static String CProdInKorb="CREATE TABLE ProdInKorb (PID INTEGER REFERENCES Produkt(PID), WID INTEGER REFERENCES Warenkorb(WID), Anzahl INTEGER, Preis DECIMAL(10,2))";
	
	static int FID;
	static int SID;
	
	
	//Kino
	
	public static TextField tkn=new TextField(20);
	public static TextField tdk=new TextField(20);
	
	public static TextField tuwv=new TextField(20);
	public static TextField tuwb=new TextField(20);
	public static JButton uw=new JButton("Umsatz Warenverkauf ");
	public static Label LVn=new Label("von:");
	public static Label LBs=new Label("bis:");
	
	public static TextField tuwv2=new TextField(20);
	public static TextField tuwb2=new TextField(20);
	public static JButton uw2=new JButton("Gesamtumsatz");
	public static Label LVn2=new Label("von:");
	public static Label LBs2=new Label("bis:");
	
	public static JButton vc=new JButton("Verkaufsdaten Lschen");
	
	public static Label KNAM=new Label("Name:");
	public static JButton b=new JButton("Einfgen");
	public static JButton c=new JButton("Anzeige");
	public static JButton d=new JButton("Alle Lschen");
	public static JButton dk=new JButton("Kino Lschen");
	public static Label KNA=new Label("KinoName:");
	public static TextArea tex3=new TextArea(5,10);
	static ResultSet dateidk;
	//Saal
	
	
	public static TextField tsn=new TextField(20);
	public static TextField tskid=new TextField(20);
	public static TextField tspl=new TextField(20);
	public static TextField tds=new TextField(20);
	
	public static JButton maus=new JButton("Mittlere Auslastung pro Saal");
	public static TextField tvon=new TextField(20);
	public static TextField tbis=new TextField(20);
	public static Label Sv=new Label("von:");
	public static Label Sb=new Label("bis:");
	
	
	
	public static Label SNAM=new Label("SaalName:");
	public static Label SKID=new Label("KinoId:");
	public static Label SPL=new Label("SaalPltze:");
	public static JButton b2=new JButton("Einfgen Saal");
	public static JButton c2=new JButton("Anzeigen");
	public static JButton d2=new JButton("Lschen");
	public static JButton dsa=new JButton("Saal Lschen");
	public static Label KSA=new Label("SaalName:");
	public static TextArea tex4=new TextArea(5,10);
	//Film
	
	public static TextField tfn=new TextField(20);
	public static TextField tdf=new TextField(20);
	
	public static Label FNAM=new Label("FilmName:");
	public static Label DF=new Label("FilmName:");
	public static JButton b3=new JButton("Einfgen");
	public static JButton c3=new JButton("Anzeigen");
	public static JButton d3=new JButton("Lschen");
	public static JButton dfi=new JButton("Film Lschen");
	public static TextArea tex5=new TextArea(5,10);
	
	//Vorfhrung
	
	
	public static TextField tvz=new TextField(20);
	public static TextField tvsi=new TextField(20);
	public static TextField tvfi=new TextField(20);
	public static TextField tvpr=new TextField(20);
	
	
	
	
	public static JButton bvup=new JButton("Update Preis");
	
	
	
	public static Label VZ=new Label("Zeit:");
	public static Label VSA=new Label("SID:");
	public static Label VFI=new Label("FID:");
	public static Label VPR=new Label("Preis:");
	public static TextField tdvid=new TextField(20);
	public static Label DVID=new Label("VID:");
	public static JButton b4=new JButton("Einfgen");
	public static JButton c4=new JButton("Anzeigen");
	public static JButton d4=new JButton("Alles Lschen");
	public static JButton dvr=new JButton("Vorfhrung Lschen");
	public static TextArea tex6=new TextArea(5,10);
	public static JButton sle=new JButton("Sle");
	public static JButton filme=new JButton("Filme");
	
	//Besucher
	
	
	
	
	
	public static JButton c5=new JButton("Anzeige");

	
	
	public static TextArea tex7=new TextArea(5,10);
	
	//Ticket
	
	
	public static TextField ttnum=new TextField(20);
	public static TextField ttvr=new TextField(20);
	public static TextField ttbes=new TextField(20);
	public static TextField ttpr=new TextField(20);
	
	public static TextField tvonv=new TextField(20);
	public static TextField tvonv2=new TextField(20);
	public static TextField tbisv=new TextField(20);
	public static JButton bvvt=new JButton("Anzeige");
	public static JButton bvim=new JButton("Verkeufe pro Monat");
	public static JButton bvkfm=new JButton("Tickets pro Kino,Film und Monat");
	public static JButton bvtges=new JButton("Gesamtumsatz");
	public static Label von=new Label("von:");
	public static Label von2=new Label("von:");
	public static TextField tbisv2=new TextField(20);
	public static Label bis=new Label("bis:");
	public static Label verkauf=new Label("Verkauft:");
	public static Label bis2=new Label("bis:");
	
	public static Label TNUM=new Label("Nummer:");
	public static Label TVR=new Label("Vorfhrung:");
	public static Label TBES=new Label("Besucher:");
	public static Label TPR=new Label("Preis:");
	
	public static JButton c6=new JButton("Anzeige");
	
	public static Label DTIK=new Label("Ticket Lschen:");
	public static TextField tdtik=new TextField(20);
	public static TextArea tex8=new TextArea(5,10);
	
	
	//Produkt
	
	public static TextField tpnm=new TextField(20);
	public static TextField tpr=new TextField(20);
	
	public static Label PNM=new Label("Name:");
	public static Label PPR=new Label("Preis:");
	public static JButton b7=new JButton("Einfgen");
	public static JButton c7=new JButton("Anzeige");
	
	public static Label DPR=new Label("Produkt Lschen:");
	public static TextField tdpr=new TextField(20);
	public static TextArea tex9=new TextArea(5,10);
	public static JButton dvp=new JButton("Produkt Lschen");
	public static JButton pov=new JButton("Produkte ohne Verkauf Lschen");
	//ProdInKorb

	/*public static TextField tkpid=new TextField(20);
	public static TextField tkwid=new TextField(20);
	public static TextField tkan=new TextField(20);
	public static TextField tkpr=new TextField(20);
	public static Label KP=new Label("PID:");
	public static Label KW=new Label("Warenkorb:");
	public static Label KA=new Label("Anzahl:");
	public static Label KPR=new Label("Preis:");
	public static JButton b8=new JButton("Insert ProdInKorb:");
	public static JButton c8=new JButton("Show Inserts");
	public static JButton d8=new JButton("Delete All");
	public static Label DWK=new Label("Warenkorb Lschen:");
	public static TextField tdwk=new TextField(20);
	public static TextArea tex10=new TextArea(5,10);
	public static JButton dvwk=new JButton("Delete ProdInKorb");
	
	//Warenkorb
	
	public static TextField twbid=new TextField(20);
	public static TextField twkid=new TextField(20);
	public static TextField twzeit=new TextField(20);
	
	public static Label WB=new Label("BesucherID:");
	public static Label WKI=new Label("KinoID:");
	public static Label WZ=new Label("Zeit:");
	public static JButton b9=new JButton("Insert Warenkorb");
	public static JButton c9=new JButton("Show Inserts");
	public static JButton d9=new JButton("Delete All");
	public static Label DW=new Label("Warenkorb Lschen:");
	public static TextField tdw=new TextField(20);
	public static TextArea tex11=new TextArea(5,10);
	public static JButton dvw=new JButton("Delete Warenkorb");*/
	
  ScrollPane scroll = new ScrollPane();
  ScrollPane scroll2 = new ScrollPane();
  ScrollPane scroll3 = new ScrollPane();
  ScrollPane scroll4 = new ScrollPane();
  ScrollPane scroll5 = new ScrollPane();
  ScrollPane scroll6 = new ScrollPane();
  ScrollPane scroll7 = new ScrollPane();
  ScrollPane scroll8 = new ScrollPane();
  ScrollPane scroll9 = new ScrollPane();
  ScrollPane scroll10 = new ScrollPane();
  
  Panel panel = new Panel();
  Panel panel2 = new Panel();
  Panel panel3 = new Panel();
  Panel panel4 = new Panel();
  Panel panel5 = new Panel();
  Panel panel6 = new Panel();
  Panel panel7 = new Panel();
  Panel panel8 = new Panel();
  Panel panel9 = new Panel(); 
  Panel panel10 = new Panel(); 
	 
	 
	   	
					
					
					
					
					  
						 static void errorPrint(Throwable e) {
					         if (e instanceof SQLException) 
					            SQLExceptionPrint((SQLException)e);
					         else {
					            System.out.println("A non SQL error occured.");
					            e.printStackTrace();
					         }   
					      }  // END 
						
					 	 static void SQLExceptionPrint(SQLException sqle) {
					         while (sqle != null) {
					            System.out.println("\n---SQLException Caught---\n");
					            System.out.println("SQLState:   " + (sqle).getSQLState());
					            System.out.println("Severity: " + (sqle).getErrorCode());
					            System.out.println("Message:  " + (sqle).getMessage()); 
					            sqle.printStackTrace();  
					            sqle = sqle.getNextException();
					         }
					   }  //  
					 	static String driver = "org.apache.derby.jdbc.ClientDriver";
						   
						   static  String dbName="Kino";
                           static String ip="localhost";
						    static  String connectionURL = "jdbc:derby://"+ip+":1527/"+dbName+";create=true";

						    static Connection conn = null;
						    static Statement s;
						    static PreparedStatement psInsert;
						    static ResultSet Datenm;
							
						
						    public static void LoadDriver(){
								
								 try{
							         /*
							         **  Load the Derby driver. 
							         **     When the embedded Driver is used this action start the Derby engine.
							         **  Catch an error and suggest a CLASSPATH problem
							          */
							         Class.forName(driver); 
							         System.out.println(driver + " loaded. ");
							     } catch(java.lang.ClassNotFoundException e)     {
							         System.err.print("ClassNotFoundException: ");
							         System.err.println(e.getMessage());
							        
							         System.out.println("\n    >>> Please check your CLASSPATH variable   <<<\n");
							         tex3.setText("\n    >>> Please check your CLASSPATH variable   <<<\n");
							     }
								
								
								
								
								
							}
						    public static void CheckForDB(){
								
								 try{
									 conn = DriverManager.getConnection(connectionURL);
									 if (! WwdUtils.wwdChk4Table(conn))
									 {conn.close();
										 conn = DriverManager.getConnection(connectionURL);	
										 System.out.println("Connected to database " + dbName);
										 s = conn.createStatement();
									     s.execute(CKino);
									     s.close();
									     conn.close();
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CSaal);
									     s.close();
									     conn.close();
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CFilm);
									     s.close();
									     conn.close();
									    
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CVorfuehrung);
									     s.close();
									     conn.close();
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CBesucher);
									     s.close();
									     conn.close();
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CTicket);
									     s.close();
									     conn.close();
									     
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CProdukt);
									     s.close();
									     conn.close();
									     
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CWarenkorb);
									     s.close();
									     conn.close();
									     
									     conn = DriverManager.getConnection(connectionURL);	
									     s = conn.createStatement();
									     s.execute(CProdInKorb);
									     s.close();
									     conn.close();
									 
									 }else{System.out.println("--------");}
									 
									 /*
							         **  Load the Derby driver. 
							         **     When the embedded Driver is used this action start the Derby engine.
							         **  Catch an error and suggest a CLASSPATH problem
							          */
							         
							         System.out.println(driver + " loaded. ");
							     } catch (SQLException e)  {   
						        	
							            tex3.setText("Datenbank besteht!");
							         }
								
								
								
								
								
							}
                       
						    
						    public static void SetInKino(int id,String name){
								
								   try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            

						  
						             
						               psInsert = conn.prepareStatement("INSERT INTO Kino(KID,Name) values (?,?)");
						               psInsert.setInt(1,id);
						               psInsert.setString(2,name);
						              
						               psInsert.executeUpdate();
						              
						              conn.close();
						              psInsert.close();
						    
						             

						                            
						              
						    
						               System.out.println("war hier");         
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								
							        
								
							}  
						    
						    public static void Kino(String name){
						    	
						    	try {
						    		
						            // Create (if needed) and connect to the database
						            conn = DriverManager.getConnection(connectionURL);		 
						            System.out.println("Connected to database " + dbName);
						            
						            s = conn.createStatement();

					              String d="SELECT COUNT(KID) FROM KINO";
					              int kidi=0;
					              dateidk=s.executeQuery(d);
					              
					             
					              while (dateidk.next())
					              {
					            	  kidi=dateidk.getInt(1);
					            	  kidi=kidi+1;
					            	  SetInKino(kidi,name);
					              
					              
					              }
					              
					              
					              s.close();
					            
					              
					             
						           
						          conn.close();
					    
						           
						            
						         }  catch (SQLException e)  {   
						        	 errorPrint(e);
						            /*       Catch all exceptions and pass them to 
						            **       the exception reporting method             */
						            System.out.println(" . . . exception thrown:");
						            String a=e.getMessage();
						           
						         }
						    	
						    }
						    	
						    	
						    	
						    	
						    	
						    
						    
						    
						    
						    
						    public static void DfKI(String name ){
								  
								  try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            s = conn.createStatement();
							            s.execute("DELETE FROM Kino WHERE Name=  "+"'"+name+"'");
					                  
						
						             
						              
						             
						             
							            s.close();
							            conn.close();
						    
						             

						                            
						              
						    
						                     
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								  
								  
							  }
						    
						    public static void SetInSaal(int id,String name,int kid,int pl){
								
								   try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            

						  
						             
						               psInsert = conn.prepareStatement("INSERT INTO Saal(SID,Name,KID,Plaetze) values (?,?,?,?)");
						               psInsert.setInt(1,id);
						               psInsert.setString(2,name);
						               psInsert.setInt(3,kid);
						               psInsert.setInt(4,pl);
						               psInsert.executeUpdate();
						              
						              conn.close();
						              psInsert.close();
						    
						             

						                            
						              
						    
						                        
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								
							        
								
							}  
						    
                       public static void Saal(String name,int kid,int pl){
						    	
						    	try {
						    		
						            // Create (if needed) and connect to the database
						            conn = DriverManager.getConnection(connectionURL);		 
						            System.out.println("Connected to database " + dbName);
						            
						            s = conn.createStatement();

					              String d="SELECT COUNT(SID) FROM Saal";
					              int kidi=0;
					              dateidk=s.executeQuery(d);
					              
					             
					              while (dateidk.next())
					              {
					            	  kidi=dateidk.getInt(1);
					            	  kidi=kidi+1;
					            	  SetInSaal(kidi,name,kid,pl);
					              
					              
					              }
					              
					              
					              s.close();
					            
					              
					             
						           
						          conn.close();
					    
						           
						            
						         }  catch (SQLException e)  {   
						        	 errorPrint(e);
						            /*       Catch all exceptions and pass them to 
						            **       the exception reporting method             */
						            System.out.println(" . . . exception thrown:");
						            String a=e.getMessage();
						           
						         }
						    	
						    }
						    
						    
						    public static void DfSa(String name ){
								  
								  try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            s = conn.createStatement();
							            s.execute("DELETE FROM Saal WHERE Name=  "+"'"+name+"'");
					                  
						
						             
						              
						              
						             
						             
							            s.close();
							            conn.close();
						    
						             

						                            
						              
						    
						                    
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								  
								  
							  }
						    public static void SetInFilm(int id,String name){
								
								   try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            

						  
						             
						               psInsert = conn.prepareStatement("INSERT INTO Film(FID,Name) values (?,?)");
						               psInsert.setInt(1,id);
						               psInsert.setString(2,name);
						               
						               psInsert.executeUpdate();
						              
						              conn.close();
						              psInsert.close();
						    
						             

						                            
						              
						    
						               System.out.println("war hier");         
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								
							        
								
							}  
						    
                         public static void Film(String name){
						    	
						    	try {
						    		
						            // Create (if needed) and connect to the database
						            conn = DriverManager.getConnection(connectionURL);		 
						            System.out.println("Connected to database " + dbName);
						            
						            s = conn.createStatement();

					              String d="SELECT COUNT(FID) FROM Film";
					              int kidi=0;
					              dateidk=s.executeQuery(d);
					              
					             
					              while (dateidk.next())
					              {
					            	  kidi=dateidk.getInt(1);
					            	  kidi=kidi+1;
					            	  SetInFilm(kidi,name);
					              
					              
					              }
					              
					              
					              s.close();
					            
					              
					             
						           
						          conn.close();
					    
						           
						            
						         }  catch (SQLException e)  {   
						        	 errorPrint(e);
						            /*       Catch all exceptions and pass them to 
						            **       the exception reporting method             */
						            System.out.println(" . . . exception thrown:");
						            String a=e.getMessage();
						           
						         }
						    	
						    }
						    
						    
						    public static void DfFI(String name ){
								  
								  try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            s = conn.createStatement();
							            s.execute("DELETE FROM Film WHERE Name=  "+"'"+name+"'");
					                  
						
						             
						              
						               System.out.println("gewhlt3");
						             
						             
							            s.close();
							            conn.close();
						    
						             

						                            
						              
						    
						                       
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								  
								  
							  }
						    
						    public static void SetInVorf(int id,Timestamp Zeit,int sid,int fid,double pr){
								
								   try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            

						  
						             
						               psInsert = conn.prepareStatement("INSERT INTO Vorfuehrung(VID,Zeit,SID,FID,Preis) values (?,?,?,?,?)");
						               psInsert.setInt(1,id);
						               psInsert.setTimestamp(2,Zeit);
						               psInsert.setInt(3,sid);
						               psInsert.setInt(4,fid);
						               psInsert.setDouble(5,pr);
						               psInsert.executeUpdate();
						              
						              conn.close();
						              psInsert.close();
						    
						             

						                            
						              
						    
						                      
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								
							        
								
							}  
						    
                               public static void Vorfuehrung(Timestamp Zeit,int sid,int fid,double pr){
						    	
						    	try {
						    		
						            // Create (if needed) and connect to the database
						            conn = DriverManager.getConnection(connectionURL);		 
						            System.out.println("Connected to database " + dbName);
						            
						            s = conn.createStatement();

					              String d="SELECT COUNT(VID) FROM Vorfuehrung";
					              int kidi=0;
					              dateidk=s.executeQuery(d);
					              
					             
					              while (dateidk.next())
					              {
					            	  kidi=dateidk.getInt(1);
					            	  kidi=kidi+1;
					            	  SetInVorf(kidi,Zeit,sid,fid,pr);
					              
					              
					              }
					              
					              
					              s.close();
					            
					              
					             
						           
						          conn.close();
					    
						           
						            
						         }  catch (SQLException e)  {   
						        	 errorPrint(e);
						            /*       Catch all exceptions and pass them to 
						            **       the exception reporting method             */
						            System.out.println(" . . . exception thrown:");
						            String a=e.getMessage();
						           
						         }
						    	
						    }
						    
						    
						    
						    public static void DfV(int id ){
								  
								  try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            s = conn.createStatement();
							            s.execute("DELETE FROM Vorfuehrung WHERE VID=  "+id);
					                  
						
						             
						              
						             
						             
						             
							            s.close();
							            conn.close();
						    
						             

						                            
						              
						    
						                       
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								  
								  
							  }
						    
						    
						    public static void SetInProdkt(int id,String nam,double price){
								
								   try {
							            // Create (if needed) and connect to the database
							            conn = DriverManager.getConnection(connectionURL);		 
							            System.out.println("Connected to database " + dbName);
							            
							            

						  
						             
						               psInsert = conn.prepareStatement("INSERT INTO Produkt(PID,Name,Preis) values (?,?,?)");
						               psInsert.setInt(1,id);
						               psInsert.setString(2,nam);
						               psInsert.setDouble(3,price);
						               psInsert.executeUpdate();
						              
						              conn.close();
						              psInsert.close();
						    
						             

						                            
						              
						    
						                     
							            
							         }  catch (SQLException e)  {   
							        	 errorPrint(e);
							            /*       Catch all exceptions and pass them to 
							            **       the exception reporting method             */
							            System.out.println(" . . . exception thrown:");
							            String a=e.getMessage();
							            tex3.setText(a);
							         }
								
							        
								
							}  
						    
                   public static void Produkt(String name,double pr){
						    	
						    	try {
						    		
						            // Create (if needed) and connect to the database
						            conn = DriverManager.getConnection(connectionURL);		 
						            System.out.println("Connected to database " + dbName);
						            
						            s = conn.createStatement();

					              String d="SELECT COUNT(PID) FROM Produkt";
					              int kidi=0;
					              dateidk=s.executeQuery(d);
					              
					             
					              while (dateidk.next())
					              {
					            	  kidi=dateidk.getInt(1);
					            	  kidi=kidi+1;
					            	  SetInProdkt(kidi,name,pr);
					              
					              
					              }
					              
					              
					              s.close();
					            
					              
					             
						           
						          conn.close();
					    
						           
						            
						         }  catch (SQLException e)  {   
						        	 errorPrint(e);
						            /*       Catch all exceptions and pass them to 
						            **       the exception reporting method             */
						            System.out.println(" . . . exception thrown:");
						            String a=e.getMessage();
						           
						         }
						    	
						    }
                   
                   public static void DfPr(String name ){
						  
						  try {
					            // Create (if needed) and connect to the database
					            conn = DriverManager.getConnection(connectionURL);		 
					            System.out.println("Connected to database " + dbName);
					            
					            s = conn.createStatement();
					            s.execute("DELETE FROM Produkt WHERE Produkt.Name=  "+"'"+name+"'");
			                  
				
				             
				              
				             
				             
				             
					            s.close();
					            conn.close();
				    
				             

				                            
				              
				    
				                       
					            
					         }  catch (SQLException e)  {   
					        	 errorPrint(e);
					            /*       Catch all exceptions and pass them to 
					            **       the exception reporting method             */
					            System.out.println(" . . . exception thrown:");
					            String a=e.getMessage();
					            tex3.setText(a);
					         }
						  
						  
					  }
                   //Verkaufte Tickets im Zeitraum 
                   
                   public static void TVerkZeit(Date an,Date en){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d="SELECT COUNT(*)  FROM Ticket,Vorfuehrung WHERE DATE(Vorfuehrung.Zeit) BETWEEN "+"'"+an+"'"+" AND "+" '"+en+"'"+" AND Ticket.VID=Vorfuehrung.VID    ";
			              AdminTable t = new  AdminTable("Vorfuehrung",d);
			              t.setDB("Kino");
			              t.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }
                   
                   
                   public static void TVerMonat(){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d=" SELECT MONTH(Zeit)as Monat,COUNT(TID)as Tickets FROM  Vorfuehrung JOIN Ticket ON Vorfuehrung.VID=Ticket.VID GROUP BY MONTH(Zeit) ";
			              AdminTable t = new  AdminTable("Ticket",d);
			              t.setDB("Kino");
			              t.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }
						    
                   public static void TpKFMonat(){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d=" SELECT Kino.Name,Film.Name,MONTH(Vorfuehrung.Zeit)as Monat,COUNT(Ticket.TID)as Tickets FROM Kino,Film,Saal,Vorfuehrung,Ticket WHERE Vorfuehrung.SID=Saal.SID AND Saal.KID=Kino.KID AND Vorfuehrung.FID=Film.FID AND Ticket.VID=Vorfuehrung.VID GROUP BY Kino.Name,Film.Name,MONTH(Vorfuehrung.Zeit) ORDER BY Kino.Name,Film.Name,MONTH(Vorfuehrung.Zeit)";
			              AdminTable t = new  AdminTable("Ticket",d);
			              t.setDB("Kino");
			              t.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }  
                   
                   public static void TVGesamt(Date t,Date end){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d=" SELECT SUM(Ticket.Preis) FROM TICKET,Vorfuehrung WHERE Ticket.VID=Vorfuehrung.VID AND DATE(Vorfuehrung.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'";
			              AdminTable td = new  AdminTable("Ticket",d);
			              td.setDB("Kino");
			              td.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }  
                   
                   public static void VrfUpdate(int film,double quot){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            s = conn.createStatement();
				            

			              String d="UPDATE Vorfuehrung  SET Preis = "+quot+" WHERE FID = (SELECT FID FROM Film WHERE FID = "+film+")";
			              
			              s.executeUpdate(d);
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }  
                   
                   //WarenverkaufGesamt
                   
                   public static void WVGesamt(Date t,Date end){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d=" SELECT Kino.Name, SUM(ProdInKorb.Anzahl * ProdInKorb.Preis) AS Umsatz FROM Kino , Warenkorb , ProdInKorb WHERE Kino.KID = Warenkorb.KID AND Warenkorb.WID = ProdInKorb.WID AND DATE(Warenkorb.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'"+" GROUP BY Kino.KID,Kino.Name";
			              AdminTable td = new  AdminTable("Ticket",d);
			              td.setDB("Kino");
			              td.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }  
                   
                   //Mitlere Auslastung pro Saal
                   
                   public static void MAusS(Date t,Date end){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            

			              String d="SELECT Saal.Name , ( COUNT(Ticket.TID)*100 / (Saal.Plaetze * COUNT(DISTINCT Vorfuehrung.VID))) AS Auslastung FROM Saal , Vorfuehrung , Ticket WHERE Saal.SID = Vorfuehrung.SID AND Vorfuehrung.VID = Ticket.VID AND DATE(Vorfuehrung.Zeit) BETWEEN  "+"'"+t+"'"+" AND "+" '"+end+"'"+" GROUP BY Saal.Name,Saal.SID,Saal.Plaetze ORDER BY Auslastung DESC";
			              AdminTable td = new  AdminTable("Ticket",d);
			              td.setDB("Kino");
			              td.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }  
                   
                   
                   public static void GUpFilm(Date t,Date end){
				    	
				    	try {
				    		
				            // Create (if needed) and connect to the database
				            conn = DriverManager.getConnection(connectionURL);		 
				            System.out.println("Connected to database " + dbName);
				            
				            String d=" SELECT Film.Name, SUM(ProdInKorb.Anzahl * ProdInKorb.Preis) AS Umsatz FROM  Warenkorb , ProdInKorb,Film,Vorfuehrung WHERE Film.FID=Vorfuehrung.FID AND Vorfuehrung.Zeit=Warenkorb.Zeit  AND Warenkorb.WID = ProdInKorb.WID AND DATE(Warenkorb.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'"+" GROUP BY Film.Name";				            
			               String de="SELECT Film.Name, SUM(Ticket.Preis) FROM  Ticket,Film,Vorfuehrung WHERE Film.FID=Vorfuehrung.FID AND Ticket.VID=Vorfuehrung.VID AND DATE(Vorfuehrung.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'"+" GROUP BY Film.Name";
			              String sum=" SELECT Film.Name,(SELECT  SUM(ProdInKorb.Anzahl * ProdInKorb.Preis) AS Umsatz FROM  Warenkorb , ProdInKorb,Film,Vorfuehrung WHERE Film.FID=Vorfuehrung.FID AND Vorfuehrung.Zeit=Warenkorb.Zeit  AND Warenkorb.WID = ProdInKorb.WID AND DATE(Warenkorb.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'"+")+(SELECT SUM(Ticket.Preis) FROM  Ticket,Film,Vorfuehrung WHERE Film.FID=Vorfuehrung.FID AND Ticket.VID=Vorfuehrung.VID AND DATE(Vorfuehrung.Zeit) BETWEEN "+"'"+t+"'"+" AND "+" '"+end+"'"+" )FROM FILM  ";
			              AdminTable td = new  AdminTable("Ticket",sum);
			              td.setDB("Kino");
			              td.createAndShowGUI2();
			              
			             
			             
			              
			              
			              s.close();
			            
			              
			             
				           
				          conn.close();
			    
				           
				            
				         }  catch (SQLException e)  {   
				        	 errorPrint(e);
				            /*       Catch all exceptions and pass them to 
				            **       the exception reporting method             */
				            System.out.println(" . . . exception thrown:");
				            String a=e.getMessage();
				           
				         }
				    	
				    }   
                   
						    JTabbedPane tabbedPane = new JTabbedPane();
						    JTabbedPane tabbedPane2 = new JTabbedPane();
							protected String makm;
							protected String mtid;
							protected String delki;
							protected String saaid;
							protected String san;
							protected String skin;
							protected String salpl;
							protected String sads;
							protected String fiidi;
							protected String fina;
							protected String fidl;
							protected String vorid;
							protected String zeiti;
							protected String saali;
							protected String filmii;
							protected String prise;
							protected String voriid;
							protected String prii;
							protected String priid;
							protected String prnnm;
							protected String pprp;
							protected String prr;
							protected String vont;
							protected String bzt;
							protected String bzzz;
							protected String ebndt;
							protected String bvvn;
							protected String bbbs;
							protected String bwarev;
							protected String bwab;
							protected String bwab2;
							protected String bwarev2;		    
						   
						    
			
  public Administrator () 
  {	
setBackground(Color.blue);
  MenuBar mb =new MenuBar();
  Menu Ein =new Menu("DB-Einstellungen");
 Ein.add("ffnen");
  
  


  Ein.addActionListener(this);
  mb.add(Ein);
  
   
 
	  panel.setLayout(null);
	  panel2.setLayout(null);
	  panel3.setLayout(null);
	  panel4.setLayout(null);
	  panel5.setLayout(null);
	  panel6.setLayout(null);
	  panel7.setLayout(null);
	  panel8.setLayout(null);
	  panel9.setLayout(null);
	  panel10.setLayout(null);
	  
	  setSize(900,700);
   panel.setSize(1100,1000);
  panel.setBackground(Color.LIGHT_GRAY);
   panel2.setSize(1100,1000);
   panel2.setBackground(Color.LIGHT_GRAY);
   panel3.setSize(1100,1000);
   panel3.setBackground(Color.LIGHT_GRAY);
   panel4.setSize(1100,1000);
   panel4.setBackground(Color.LIGHT_GRAY);
   panel5.setSize(1100,1000);
   panel5.setBackground(Color.LIGHT_GRAY);
   panel6.setSize(1100,1000);
   panel6.setBackground(Color.LIGHT_GRAY);
   panel7.setSize(1100,1000);
   panel7.setBackground(Color.LIGHT_GRAY);
   panel8.setSize(1100,1000);
   panel8.setBackground(Color.LIGHT_GRAY);
   panel9.setSize(1100,1000);
   panel9.setBackground(Color.LIGHT_GRAY);
   panel10.setSize(1100,1000);
   panel10.setBackground(Color.LIGHT_GRAY);
   
   
   
    setTitle("Administrator"); 
   
    //Kino
    
    tkn.setBounds(100, 180, 150, 20);
   
	KNAM.setBounds(50, 180, 150, 20);
	
	b.setBounds(100, 210, 150, 20);
	c.setBounds(100, 230, 150, 20);
    d.setBounds(100, 250, 150, 20);
    
    tdk.setBounds(100, 300, 150, 20);
    dk.setBounds(300, 300, 150, 20);
    KNA.setBounds(30, 300, 100, 20);
    vc.setBounds(100, 330, 200, 50);
    tex3.setBounds(30, 400, 500, 100);
   
    tuwv.setBounds(100, 550, 150, 20);
	tuwb.setBounds(310, 550, 150, 20);
	uw.setBounds(470, 550, 250, 20);
	LVn.setBounds(30, 550, 150, 20);
	LBs.setBounds(260, 550, 50, 20);
    
	tuwv2.setBounds(100, 590, 150, 20);
	tuwb2.setBounds(310, 590, 150, 20);
	uw2.setBounds(470, 590, 250, 20);
	LVn2.setBounds(30, 590, 150, 20);
	LBs2.setBounds(260, 590, 50, 20);
    
    
    
    
    panel.add(tkn);
    panel.add(vc);
    panel.add(KNAM);
    panel.add(b);
    panel.add(c);
    panel.add(d);
   
    panel.add(tdk);
    panel.add(dk);
    panel.add(KNA);
    panel.add(tex3);
    panel.add(tuwv);
    panel.add(tuwb);
    panel.add(uw);
    panel.add(LVn);
    panel.add(LBs);
    panel.add(tuwv2);
    panel.add(tuwb2);
    panel.add(uw2);
    panel.add(LVn2);
    panel.add(LBs2);
    
    
   //saal
   
	tsn.setBounds(100, 180, 150, 20);
	tskid.setBounds(100, 210, 150, 20);
	tspl.setBounds(100, 240, 150, 20);
	
	SNAM.setBounds(30, 180, 150, 20);
    SKID.setBounds(40, 210, 150, 20);
	SPL.setBounds(30, 240, 150, 20);
	b2.setBounds(100, 270, 150, 20);
	c2.setBounds(100, 290, 150, 20);
	d2.setBounds(100, 310, 150, 20);
	
	tds.setBounds(100, 360, 150, 20);
	KSA.setBounds(30, 360, 70, 20);
	dsa.setBounds(300, 360, 150, 20);
	 tex4.setBounds(30, 400, 500, 100);
	 
	maus.setBounds(520, 550, 250, 20);
	tvon.setBounds(100, 550, 150, 20);
    tbis.setBounds(320, 550, 150, 20);
	Sv.setBounds(30, 550, 100, 20);
    Sb.setBounds(260, 550, 100, 20);
	
	
	//Film
   
	tfn.setBounds(100, 180, 150, 20);
   
	FNAM.setBounds(30, 180, 150, 20);
	b3.setBounds(100, 270, 150, 20);
	c3.setBounds(100, 290, 150, 20);
	DF.setBounds(30, 360, 70, 20);
	tdf.setBounds(100, 360, 150, 20);
	dfi.setBounds(300, 360, 150, 20);
	tex5.setBounds(30, 400, 500, 100);
	
	//Vorfhrung
	
	tvz.setBounds(100, 180, 150, 20);
	tvsi.setBounds(100, 210, 150, 20);
	tvfi.setBounds(100, 240, 150, 20);
	tvpr.setBounds(100, 270, 150, 20);
	
	VZ.setBounds(50, 180, 150, 20);
	VSA.setBounds(50, 210, 150, 20);
	VFI.setBounds(50, 240, 150, 20);
	VPR.setBounds(50, 270, 150, 20);
	b4.setBounds(100, 300, 150, 20);
	c4.setBounds(100, 320, 150, 20);
	d4.setBounds(100, 340, 150, 20);
	bvup.setBounds(100, 360, 150, 20);
	DVID.setBounds(50, 390, 50, 20);
	tdvid.setBounds(100, 390, 150, 20);
	dvr.setBounds(330, 390, 150, 20);
	tex6.setBounds(30, 440, 500, 100);
	sle.setBounds(260, 210, 150, 20);
	filme.setBounds(260,240, 150, 20);
	
	//Besucher
	
	
	
   
	c5.setBounds(100, 230, 150, 100);
	
	
	
	
	tex7.setBounds(30,360,500,100);
	
	//Ticket
	/*ttid.setBounds(100, 150, 150, 20);
	ttnum.setBounds(100, 180, 150, 20);
	ttvr.setBounds(100, 210, 150, 20);
	ttbes.setBounds(100, 240, 150, 20);
	ttpr.setBounds(100, 270, 150, 20);
	TID.setBounds(50, 150, 150, 20);
	TNUM.setBounds(30, 180, 150, 20);
	TVR.setBounds(10, 210, 150, 20);
	TBES.setBounds(10, 240, 150, 20);
	TPR.setBounds(30, 270, 150, 20);
	b6.setBounds(100, 310, 150, 20);*/
	c6.setBounds(100, 230, 150, 40);
	
	
	tvonv.setBounds(100, 200, 150, 20);
	tvonv2.setBounds(100, 390, 150, 20);
	tbisv.setBounds(330, 200, 150, 20);
	bvvt.setBounds(530, 200, 150, 20);
	von.setBounds(50, 200, 150, 20);
	von2.setBounds(50, 390, 50, 20);
	bis2.setBounds(270, 390, 50, 20);
	tbisv2.setBounds(330, 390, 150, 20);
	bvtges.setBounds(540, 390, 150, 20);
	bis.setBounds(270, 200, 150, 20);
	verkauf.setBounds(100, 100, 150, 20);
	bvim.setBounds(100, 340, 150, 40);
	bvkfm.setBounds(100, 450, 250, 40);
	
	tex8.setBounds(100, 520, 500, 100);
	
	
	//Produkt
	
	
	tpnm.setBounds(100, 180, 150, 20);
	tpr.setBounds(100, 210, 150, 20);

	PNM.setBounds(30, 180, 150, 20);
	PPR.setBounds(30, 210, 150, 20);
	b7.setBounds(100, 240, 150, 20);
	c7.setBounds(100, 260, 150, 20);
	
	DPR.setBounds(30, 320, 120, 20);
	tdpr.setBounds(150, 320, 150, 20);
	pov.setBounds(100, 350, 250, 20);
	tex9.setBounds(30, 390, 500, 100);
	dvp.setBounds(320, 320, 150, 20);
	
	//PINKorb
	/*tkpid.setBounds(100, 150, 150, 20);
	tkwid.setBounds(100, 180, 150, 20);
	tkan.setBounds(100, 210, 150, 20);
	tkpr.setBounds(100, 240, 150, 20);
	KP.setBounds(50, 150, 150, 20);
	KW.setBounds(10, 180, 150, 20);
	KA.setBounds(30, 210, 150, 20);
	KPR.setBounds(30, 240, 150, 20);*/
	/*b8.setBounds(100, 270, 150, 20);
	c8.setBounds(100, 290, 150, 20);
	d8.setBounds(100, 310, 150, 20);
	
	DWK.setBounds(30, 360, 120, 20);
	tdwk.setBounds(180, 360, 150, 20);
	tex10.setBounds(30, 390, 500, 100);
	dvwk.setBounds(350, 360, 150, 20);*/
	
	//Warenkorb
	/*twid.setBounds(100, 150, 150, 20);
	twbid.setBounds(100, 180, 150, 20);
	twkid.setBounds(100, 210, 150, 20);
	twzeit.setBounds(100, 240, 150, 20);
	WID.setBounds(50, 150, 150, 20);
	WB.setBounds(10, 180, 150, 20);
	WKI.setBounds(50, 210, 150, 20);
	WZ.setBounds(50, 240, 150, 20);*/
	/*b9.setBounds(100, 270, 150, 20);
	c9.setBounds(100, 290, 150, 20);
	d9.setBounds(100, 310, 150, 20);
	DW.setBounds(30, 360, 120, 20);
	tdw.setBounds(180, 360, 150, 20);
	tex11.setBounds(30, 390, 500, 100);
	dvw.setBounds(350, 360, 150, 20);
	

    panel9.add(twbid);
    panel9.add(twkid);
    panel9.add(twzeit);
   
    panel9.add(WB);
    panel9.add(WKI);
    panel9.add(WZ);
    panel9.add(b9);
    panel9.add(c9);
    panel9.add(d9);
    panel9.add(DW);
    panel9.add(tdw);
    panel9.add(tex11);
    panel9.add(dvw);*/
	
	
	
	
	
	/*panel8.add(tkpid);
    panel8.add(tkwid);
    panel8.add(tkan);
    panel8.add(tkpr);
    panel8.add(KP);
    panel8.add(KW);
    panel8.add(KA);
    panel8.add(KPR);
    panel8.add(b8);
    panel8.add(c8);
    panel8.add(d8);
    panel8.add(DWK);
    panel8.add(tdwk);
    panel8.add(tex10);
    panel8.add(dvwk);*/
	
	
	
    panel7.add(tpnm);
    panel7.add(tpr);
   
    panel7.add(PNM);
    panel7.add(PPR);
    panel7.add(b7);
    panel7.add(c7);
    panel7.add(pov);
    panel7.add(DPR);
    panel7.add(tdpr);
    panel7.add(tex9);
    panel7.add(dvp);
	
	
	
	
	
	
	
	
	
    panel6.add(ttnum);
    panel6.add(ttvr);
    panel6.add(ttbes);
    panel6.add(ttpr);
   
    panel6.add(TNUM);
    panel6.add(TVR);
    panel6.add(TBES);
    panel6.add(TPR);
   
    panel6.add(c6);
   
    panel6.add(tvonv);
    panel6.add(tbisv);
    panel6.add(bvvt);
    panel6.add(bvim);
    panel6.add(von);
    panel6.add(von2);
    panel6.add(bis2);
    panel6.add(tbisv2);
    panel6.add(tvonv2);
    
    panel6.add(bis);
    panel6.add(verkauf);
    panel6.add(bvkfm);
    panel6.add(bvtges);
    panel6.add(tex8);
   
	
	
   
   
    panel5.add(c5);
   
   
    
    
    panel5.add(tex7);
	
	
	
	
	
    panel4.add(tvz);
    panel4.add(tvsi);
    panel4.add(tvfi);
    panel4.add(tvpr);
   
    panel4.add(VZ);
    panel4.add(VSA);
    panel4.add(VFI);
    panel4.add(VPR);
    panel4.add(b4);
    panel4.add(c4);
    panel4.add(d4);
    panel4.add(bvup);
    panel4.add(DVID);
    panel4.add(tdvid);
    panel4.add(dvr);
    panel4.add(tex6);
    panel4.add(sle);
    panel4.add(filme);
	
	
	
	
	
	
    panel3.add(tfn);
    
    panel3.add(FNAM);
    panel3.add(b3);
    panel3.add(c3);
    panel3.add(DF);
    panel3.add(tdf);
    panel3.add(dfi);
    panel3.add(tex5);
	
	
	
	
	
	
	
    panel2.add(tsn);
    panel2.add(tskid);
    panel2.add(tspl);
   
    panel2.add(SNAM);
    panel2.add(SKID);
    panel2.add(SPL);
    panel2.add(b2);
    panel2.add(c2);
    panel2.add(d2);
    panel2.add(dsa);
    panel2.add(KSA);
    panel2.add(tds);
    panel2.add(tex4);
    
    panel2.add(maus);
    panel2.add(tvon);
    panel2.add(tbis);
    panel2.add(Sv);
    panel2.add(Sb);
    
    scroll.add(panel);
    scroll2.add(panel2);
    scroll3.add(panel3);
    scroll4.add(panel4);
    scroll5.add(panel5);
    scroll6.add(panel6);
    scroll7.add(panel7);
    scroll8.add(panel8);
    scroll9.add(panel9);
    
    tabbedPane.add("Kino",scroll);
    tabbedPane.addTab("Saal",scroll2);
    tabbedPane.addTab("Film",scroll3);
    tabbedPane.addTab("Vorfhrung",scroll4);
    /*tabbedPane.addTab("Besucher",scroll5);*/
    tabbedPane.addTab("Ticket",scroll6);
    tabbedPane.addTab("Produkt",scroll7);
    /*tabbedPane.addTab("ProdInKorb",scroll8);
    tabbedPane.addTab("Warenkorb",scroll9);*/
    
    
    
    addWindowListener(new TestWindowListener());

  //Kino 
	 
   
	 
    final StringBuffer bi=new StringBuffer();
	 tkn.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
		  String as;
		
		   char a=e.getKeyChar();
		   bi.append(a);
		   if((byte)a==8){ tkn.setText(null);  } //ermglicht lschen des Zeichens!!!
	       
	       if(tkn.getText().equals("")){bi.delete(0,bi.length()-1);}
	    	  
	    	  
	    	    mtid=bi.toString();
	    	    
	    	    
	    	  
				
				//bt.delete(0, bt.length()-1);
				
	    			
	       }

	    }); 
	 
	 
	 b.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		
		 tkn.setText("");
		 tex3.setText("");
		 try{
			String kmm=mtid;
			 
			 Kino(kmm);
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
	 c.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		 AdminTable a= new AdminTable("Kino");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex3.setText("");
			
		 }});
    d.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
   	 tex3.setText("");
   	 try {
	            // Create (if needed) and connect to the database
	            conn = DriverManager.getConnection(connectionURL);		 
	            
	            s = conn.createStatement();
		          
		         s.execute("DELETE FROM Kino");
             conn.close();
             s.close();
   
     }  catch (SQLException p)  {   
	        	 errorPrint(p);
	            /*       Catch all exceptions and pass them to 
	            **       the exception reporting method             */
	            System.out.println(" . . . exception thrown:");
	            String a=p.getMessage();
	            tex3.setText(a);
	         }
   	
   		
   	 }});
    final StringBuffer bdkino=new StringBuffer();
    tdk.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
		  String as;
			
		   char a=e.getKeyChar();
		   bdkino.append(a);
		   if((byte)a==8){ tdk.setText(null);  } //ermglicht lschen des Zeichens!!!
	       
	       if(tdk.getText().equals("")){bdkino.delete(0,bdkino.length()-1);}
	    	  
	    	  
	    	    delki=bdkino.toString();
	    	    
	    	    
	    	  
				
				//bt.delete(0, bt.length()-1);
				
	    			
	       }

	    }); 
    
    dk.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		 tdk.setText("");
		
		 tex3.setText("");
		 try{
			 String ki=delki;
			 DfKI( delki);
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    
    //Saal
    
    
   
    
    final StringBuffer bsan=new StringBuffer();
    tsn.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
    	  String as;

   	   char a=e.getKeyChar();
   	   bsan.append(a);
   	   if((byte)a==8){ tsn.setText(null); } //ermglicht lschen des Zeichens!!!
        
   	   if(tsn.getText().equals("")){bsan.delete(0,bsan.length()-1);}  
     	  
     	  
     	    san=bsan.toString();
     	    
     	  
     	  
   			
   			//bt.delete(0, bt.length()-1);
   			
     			
        }

     }); 
    final StringBuffer bsiid=new StringBuffer();
    tskid.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
  	  String as;

  	   char a=e.getKeyChar();
  	 bsiid.append(a);
  	   if((byte)a==8){ tskid.setText(null); } //ermglicht lschen des Zeichens!!!
       
  	   if(tskid.getText().equals("")){bsiid.delete(0,bsiid.length()-1);}  
    	  
    	  
    	    skin=bsiid.toString();
    	    
    	  
    	  
  			
  			//bt.delete(0, bt.length()-1);
  			
    			
       }

    }); 
    
    final StringBuffer bsplat=new StringBuffer();
    tspl.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
    	  String as;

     	   char a=e.getKeyChar();
     	  bsplat.append(a);
     	   if((byte)a==8){ tspl.setText(null); } //ermglicht lschen des Zeichens!!!
          
     	   if(tspl.getText().equals("")){bsplat.delete(0,bsplat.length()-1);}  
       	  
       	  
       	    salpl=bsplat.toString();
       	    
       	  
       	  
     			
     			//bt.delete(0, bt.length()-1);
     			
       			
          }

       }); 
    final StringBuffer btds=new StringBuffer();
    tds.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
  	  String as;

	   char a=e.getKeyChar();
	   btds.append(a);
	   if((byte)a==8){ tds.setText(null); } //ermglicht lschen des Zeichens!!!
     
	   if(tds.getText().equals("")){btds.delete(0,btds.length()-1);}  
  	  
  	  
  	    sads=btds.toString();
  	    
  	  
  	  
			
			//bt.delete(0, bt.length()-1);
			
  			
     }

  });
    
    b2.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		
		 tsn.setText("");
		 tskid.setText("");
		 tspl.setText("");
		 tds.setText("");
		 tex4.setText("");
		 try{
			
			int ki=Integer.parseInt(skin);
			int sap=Integer.parseInt(salpl);
			String nam=san;
			Saal(nam,ki,sap);
			 
			 
			 
	 }catch(Exception p){String h=p.getMessage();tex4.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    
    c2.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	AdminTable a= new AdminTable("Saal");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex4.setText("");
			
		 }});
    
    dsa.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
    	
		 tsn.setText("");
		 tskid.setText("");
		 tspl.setText("");
		 tds.setText("");
		
		 tex4.setText("");
		 try{
			 String ki=sads;
			 DfSa( ki);
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    d2.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
      	 tex4.setText("");
      	 try {
   	            // Create (if needed) and connect to the database
   	            conn = DriverManager.getConnection(connectionURL);		 
   	            
   	            s = conn.createStatement();
   		          
   		         s.execute("DELETE FROM Saal");
                conn.close();
                s.close();
      
        }  catch (SQLException p)  {   
   	        	 errorPrint(p);
   	            /*       Catch all exceptions and pass them to 
   	            **       the exception reporting method             */
   	            System.out.println(" . . . exception thrown:");
   	            String a=p.getMessage();
   	            tex4.setText(a);
   	         }
      	
      		
      	 }});
    //Film
   
    
    final StringBuffer btfn=new StringBuffer();
    tfn.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
  	  String as;

  	   char a=e.getKeyChar();
  	 btfn.append(a);
  	   if((byte)a==8){ tfn.setText(null); } //ermglicht lschen des Zeichens!!!
       
  	   if(tfn.getText().equals("")){btfn.delete(0,btfn.length()-1);}  
    	  
    	  
    	    fina=btfn.toString();
    	    
    	  
    	  
  			
  			//bt.delete(0, bt.length()-1);
  			
    			
       }

    });
    
    b3.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		
		 tfn.setText("");
		 tex5.setText("");
		 try{
		
			String ki=fina;
			
			Film(fina);
			 
			 
			 
	 }catch(Exception p){String h=p.getMessage();tex5.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    
    c3.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	AdminTable a= new AdminTable("Film");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex5.setText("");
			
		 }});
    d3.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
     	 tex5.setText("");
     	 try {
  	            // Create (if needed) and connect to the database
  	            conn = DriverManager.getConnection(connectionURL);		 
  	            
  	            s = conn.createStatement();
  		          
  		         s.execute("DELETE FROM Film");
               conn.close();
               s.close();
     
       }  catch (SQLException p)  {   
  	        	 errorPrint(p);
  	            /*       Catch all exceptions and pass them to 
  	            **       the exception reporting method             */
  	            System.out.println(" . . . exception thrown:");
  	            String a=p.getMessage();
  	            tex5.setText(a);
  	         }
     	
     		
     	 }});
    final StringBuffer btdf=new StringBuffer();
    tdf.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
    	  String as;

     	   char a=e.getKeyChar();
     	  btdf.append(a);
     	   if((byte)a==8){ tdf.setText(null); } //ermglicht lschen des Zeichens!!!
          
     	   if(tdf.getText().equals("")){btdf.delete(0,btdf.length()-1);}  
       	  
       	  
       	    fidl=btdf.toString();
       	    
       	  
       	  
     			
     			//bt.delete(0, bt.length()-1);
     			
       			
          }

       });
    
    dfi.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
    	tdf.setText("");
		
		
		 
		
		 tex5.setText("");
		 try{
			 String ki=fidl;
			 DfFI( ki);
	 }catch(Exception p){String h=p.getMessage();tex5.setText(h);}
		
		AdminTable.frame.setVisible(false);
	 }});
    
    //Vorfhrung
  
    
    final StringBuffer btvz=new StringBuffer();
	tvz.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvz.append(a);
		   if((byte)a==8){  tvz.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tvz.getText().equals("")){btvz.delete(0,btvz.length()-1);}  
	  	  
	  	  
	  	    zeiti=btvz.toString();
	  	    
	  	  
	  	  
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	 final StringBuffer btvsi=new StringBuffer();
	tvsi.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvsi.append(a);
		   if((byte)a==8){  tvsi.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tvsi.getText().equals("")){btvsi.delete(0,btvsi.length()-1);}  
	  	  
	  	  
	  	    saali=btvsi.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	
	final StringBuffer btvfi=new StringBuffer();
	tvfi.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvfi.append(a);
		   if((byte)a==8){  tvfi.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tvfi.getText().equals("")){btvfi.delete(0,btvfi.length()-1);}  
	  	  
	  	  
	  	    filmii=btvfi.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	
	final StringBuffer btvpr=new StringBuffer();
	tvpr.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvpr.append(a);
		   if((byte)a==8){  tvpr.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tvpr.getText().equals("")){ btvpr.delete(0, btvpr.length()-1);}  
	  	  
	  	  
	  	    prise= btvpr.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
    
	b4.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		 
		 tvz.setText("");
		 tvsi.setText("");
		 tvfi.setText("");
		 tvpr.setText("");
		 
		 tex6.setText("");
		 try{
			
			Timestamp z=Timestamp.valueOf(zeiti+":00.0");
			int s=SID;
			int f=FID;
			double pr=Double.parseDouble(prise);
			
			
			Vorfuehrung(z,s,f,pr);
			 
			 
			 
	 }catch(Exception p){String h=p.getMessage();tex6.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    
	c4.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("Vorfuehrung");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex6.setText("");
			
		 }});
	
 bvup.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
	 tvfi.setText("");
	 tvpr.setText("");
	 
	 tex6.setText("");
		 
		 try{
			 int f=FID;
			double pr=Double.parseDouble(prise);
			 
			VrfUpdate(f,pr);
			
	 }catch(Exception p){String h=p.getMessage();tex6.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	
	
    
	d4.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
    	 tex5.setText("");
    	 try {
 	            // Create (if needed) and connect to the database
 	            conn = DriverManager.getConnection(connectionURL);		 
 	            
 	            s = conn.createStatement();
 		          
 		         s.execute("DELETE FROM Vorfuehrung");
              conn.close();
              s.close();
    
      }  catch (SQLException p)  {   
 	        	 errorPrint(p);
 	            /*       Catch all exceptions and pass them to 
 	            **       the exception reporting method             */
 	            System.out.println(" . . . exception thrown:");
 	            String a=p.getMessage();
 	            tex6.setText(a);
 	         }
    	
    		
    	 }});
	final StringBuffer btdvid=new StringBuffer();
	tdvid.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btdvid.append(a);
		   if((byte)a==8){  tdvid.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tdvid.getText().equals("")){ btdvid.delete(0, btdvid.length()-1);}  
	  	  
	  	  
	  	    voriid= btdvid.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	dvr.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
    	tdvid.setText("");
		
		
		 
		
		 tex6.setText("");
		 try{
			 int ki=Integer.parseInt(voriid);
			 DfV( ki);
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
    
	c5.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("Besucher");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex7.setText("");
			
		 }});
    
	c6.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("Ticket");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex8.setText("");
			
		 }});
	
	//Besucher
	
	
	
	//Ticket
	
	
    //Produkt
	
	final StringBuffer btpnm=new StringBuffer();
	tpnm.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btpnm.append(a);
		   if((byte)a==8){  tpnm.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tpnm.getText().equals("")){ btpnm.delete(0, btpnm.length()-1);}  
	  	  
	  	  
	  	    prnnm= btpnm.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	final StringBuffer btpr=new StringBuffer();
	tpr.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btpr.append(a);
		   if((byte)a==8){  tpr.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tpr.getText().equals("")){ btpr.delete(0, btpr.length()-1);}  
	  	  
	  	  
	  	    pprp= btpr.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	b7.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
		
		 tpnm.setText("");
		 tpr.setText("");
		 tex9.setText("");
		 try{
			
			String ki=prnnm;
			double pp=Double.parseDouble(pprp);
			
			 Produkt(prnnm,pp);
			 
			 
	 }catch(Exception p){String h=p.getMessage();tex9.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
	
	c7.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("Produkt");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex9.setText("");
			
		 }});
	
	/* c8.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("ProdInKorb");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex10.setText("");
			
		 }});
	d8.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
	   	 tex5.setText("");
	   	 try {
		            // Create (if needed) and connect to the database
		            conn = DriverManager.getConnection(connectionURL);		 
		            
		            s = conn.createStatement();
			          
			         s.execute("DELETE FROM ProdInKorb");
	             conn.close();
	             s.close();
	   
	     }  catch (SQLException p)  {   
		        	 errorPrint(p);
		           
		            System.out.println(" . . . exception thrown:");
		            String a=p.getMessage();
		            tex11.setText(a);
		         }
	   	
	   		
//	   	 }}); */
	
	//Delete Produkt:
	final StringBuffer btdpr=new StringBuffer();
	tdpr.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btdpr.append(a);
		   if((byte)a==8){  tdpr.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tdpr.getText().equals("")){  btdpr.delete(0,  btdpr.length()-1);}  
	  	  
	  	  
	  	    prr=  btdpr.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	dvp.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
    	tdpr.setText("");
		
		
		 
		
		 tex9.setText("");
		 try{
			 String pppp=prr;
			 DfPr(pppp );
	 }catch(Exception p){String h=p.getMessage();tex9.setText(h);}
		
		AdminTable.frame.setVisible(false);
	 }});
	
/*	c9.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		AdminTable a= new AdminTable("Warenkorb");
		 a.setDB("Kino");
	    a.createAndShowGUI();

	    tex10.setText("");
			
		 }});
	d9.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
    	
	   	 tex5.setText("");
	   	 try {
		            // Create (if needed) and connect to the database
		            conn = DriverManager.getConnection(connectionURL);		 
		            
		            s = conn.createStatement();
			          
			         s.execute("DELETE FROM Warenkorb");
	             conn.close();
	             s.close();
	   
	     }  catch (SQLException p)  {   
		        	 errorPrint(p);
		           
		            System.out.println(" . . . exception thrown:");
		            String a=p.getMessage();
		            tex11.setText(a);
		         }
	   	
	   		
	   	 }});  
	   	 */
	   	 
	   	 
	//Tickets verkauft
	final StringBuffer bvonv=new StringBuffer();
	tvonv.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   bvonv.append(a);
		   if((byte)a==8){  tvonv.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tvonv.getText().equals("")){  bvonv.delete(0,  bvonv.length()-1);}  
	  	  
	  	  
	  	    vont=  bvonv.toString();
	  	    
	  	  
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	
	final StringBuffer bbisv=new StringBuffer();
	tbisv.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   bbisv.append(a);
		   if((byte)a==8){  tbisv.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if( tbisv.getText().equals("")){  bbisv.delete(0,  bbisv.length()-1);}  
	  	  
	  	  
	  	    bzt=  bbisv.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 bvvt.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
	    	tvonv.setText("");
			
			
			 
			
			 tbisv.setText("");
			 tex8.setText("");
			 try{
				 Date von=Date.valueOf(vont);
				 Date bis=Date.valueOf(bzt);
				 TVerkZeit(von,bis);
				
		 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
			
		 AdminTable.frame.setVisible(false);
		 }});
	 
	 bvim.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
	    	
			 tex8.setText("");
			 try{
				
				 TVerMonat();
				
		 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
			
		 AdminTable.frame.setVisible(false);
		 }});
	 bvkfm.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent bm){
	    	
		 tex8.setText("");
		 try{
			
			 TpKFMonat();
			
	 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
		
	 AdminTable.frame.setVisible(false);
	 }});
	 
	 sle.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
		

	    tex3.setText("");
	    AdminTable a= new AdminTable("Saal");
		 a.setDB("Kino");
	    a.createAndShowGUI(); 
			
		 }});
	 filme.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			

		    tex3.setText("");
		    AdminTable a= new AdminTable("Film");
			 a.setDB("Kino");
		    a.createAndShowGUI(); 
				
			 }});
	 
	 //Gesamtumsatz Tickets
	 
	 
	 final StringBuffer btbisv2=new StringBuffer();
	 tbisv2.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btbisv2.append(a);
		   if((byte)a==8){   tbisv2.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tbisv2.getText().equals("")){  btbisv2.delete(0,  btbisv2.length()-1);}  
	  	  
	  	  
	  	    ebndt=  btbisv2.toString();
	  	    
	  	 
	  	
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 final StringBuffer btvon2=new StringBuffer();
	 tvonv2.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvon2.append(a);
		   if((byte)a==8){   tvonv2.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tvonv2.getText().equals("")){  btvon2.delete(0,  btvon2.length()-1);}  
	  	  
	  	  
	  	    bzzz=  btvon2.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 
	 bvtges.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
		 tex8.setText("");
		 tvonv2.setText("");
		 tbisv2.setText("");
		 try{
			 Date kp=Date.valueOf(ebndt);
			 Date p=Date.valueOf(bzzz);
			 TVGesamt(p,kp);
			 
			
	 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	 
	 //Mittlere Auslastung pro Saal
	 final StringBuffer btvon=new StringBuffer();
	 tvon.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btvon.append(a);
		   if((byte)a==8){   tvon.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tvon.getText().equals("")){  btvon.delete(0,  btvon.length()-1);}  
	  	  
	  	  
	  	    bvvn=btvon.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 final StringBuffer btbis=new StringBuffer();
	    tbis.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
		  	  String as;

			   char a=e.getKeyChar();
			   btbis.append(a);
			   if((byte)a==8){   tbis.setText(null); } //ermglicht lschen des Zeichens!!!
		     
			   if(  tbis.getText().equals("")){  btbis.delete(0,  btbis.length()-1);}  
		  	  
		  	  
		  	    bbbs=  btbis.toString();
		  	    
		  	 
		  	 
					
					//bt.delete(0, bt.length()-1);
					
		  			
		     }

		  });
	 maus.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
		 tex4.setText("");
		 tvon.setText("");
		 tbis.setText("");
		 try{
			 Date kp=Date.valueOf(bvvn);
			 Date p=Date.valueOf(bbbs);
			 MAusS(kp,p);
			 
			
	 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	 
	 //Umsatz Warenverkauf
	 
	 final StringBuffer btuwv=new StringBuffer();
	 tuwv.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btuwv.append(a);
		   if((byte)a==8){   tuwv.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tuwv.getText().equals("")){  btuwv.delete(0,  btuwv.length()-1);}  
	  	  
	  	  
	  	    bwarev=  btuwv.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 final StringBuffer btuwb=new StringBuffer();
	 tuwb.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btuwb.append(a);
		   if((byte)a==8){   tuwb.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tuwb.getText().equals("")){  btuwb.delete(0,  btuwb.length()-1);}  
	  	  
	  	  
	  	    bwab=btuwb.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 uw.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
		 tex3.setText("");
		 tuwv.setText("");
		 tuwb.setText("");
		 try{
			 Date kp=Date.valueOf(bwarev);
			 Date p=Date.valueOf(bwab);
			 WVGesamt(kp,p);
			 
			
	 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	 
	 
	 //Gesamtumsatz pro Film
	 
	 final StringBuffer btuwv2=new StringBuffer();
	 tuwv2.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btuwv2.append(a);
		   if((byte)a==8){   tuwv2.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tuwv2.getText().equals("")){  btuwv2.delete(0,  btuwv2.length()-1);}  
	  	  
	  	  
	  	    bwarev2=  btuwv2.toString();
	  	    
	  	 
	  	
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 final StringBuffer btuwb2=new StringBuffer();
	 tuwb2.addKeyListener(new KeyAdapter(){public void keyTyped(KeyEvent e){
	  	  String as;

		   char a=e.getKeyChar();
		   btuwb2.append(a);
		   if((byte)a==8){   tuwb2.setText(null); } //ermglicht lschen des Zeichens!!!
	     
		   if(  tuwb2.getText().equals("")){  btuwb2.delete(0,  btuwb2.length()-1);}  
	  	  
	  	  
	  	    bwab2=btuwb2.toString();
	  	    
	  	 
	  	 
				
				//bt.delete(0, bt.length()-1);
				
	  			
	     }

	  });
	 
	 uw2.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
		 tex3.setText("");
		 tuwv2.setText("");
		 tuwb2.setText("");
		 try{
			 Date kp2=Date.valueOf(bwarev2);
			 Date p2=Date.valueOf(bwab2);
			GUpFilm(kp2,p2);
			 
			
	 }catch(Exception p){String h=p.getMessage();tex8.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	//Verkaufsdaten lschen
	 
	 vc.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
		
		 try{
			
			 try {
	   	            // Create (if needed) and connect to the database
	   	            conn = DriverManager.getConnection(connectionURL);		 
	   	            
	   	            s = conn.createStatement();
	   		          
	   		         s.execute("DELETE FROM ProdInKorb");
	   		        s.close();
	                conn.close();
	                
                  conn = DriverManager.getConnection(connectionURL);		 
	   	            
	   	            s = conn.createStatement();
	   		          
	   		         s.execute("DELETE FROM Warenkorb");
	   		        s.close();
	                conn.close();
               conn = DriverManager.getConnection(connectionURL);		 
	   	            
	   	            s = conn.createStatement();
	   		          
	   		         s.execute("DELETE FROM  Ticket");
	   		        s.close();
	                conn.close();
	                
            conn = DriverManager.getConnection(connectionURL);		 
	   	            
	   	            s = conn.createStatement();
	   		          
	   		         s.execute("DELETE FROM  Besucher");
	   		        s.close();
	                conn.close();    
	                
	                
	        }  catch (SQLException p)  {   
	   	        	 errorPrint(p);
	   	            /*       Catch all exceptions and pass them to 
	   	            **       the exception reporting method             */
	   	            System.out.println(" . . . exception thrown:");
	   	            String a=p.getMessage();
	   	            tex4.setText(a);
	   	         }
			
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
	 AdminTable.frame.setVisible(false);
		   
				
			 }});
	 
	 //Produkte ohne Verkauf Lschen
	 pov.addMouseListener(new MouseAdapter(){public void mouseClicked(MouseEvent e){
			
			
		 try{
			
			 try {
	   	            // Create (if needed) and connect to the database
	   	             conn = DriverManager.getConnection(connectionURL);		 
	   	            
	   	             s = conn.createStatement();
	   	         
	   		         s.execute("DELETE FROM Produkt  WHERE Produkt.PID NOT IN((Select ProdInKorb.PID From ProdInKorb))");
	   		         s.close();
	                 conn.close();
	                
                 
	                
	        }  catch (SQLException p)  {   
	   	        	 errorPrint(p);
	   	            /*       Catch all exceptions and pass them to 
	   	            **       the exception reporting method             */
	   	            System.out.println(" . . . exception thrown:");
	   	            String a=p.getMessage();
	   	            tex4.setText(a);
	   	         }
			
	 }catch(Exception p){String h=p.getMessage();tex3.setText(h);}
		
		AdminTable.frame.setVisible(false);
		   
				
			 }});
	 
	
	
    setMenuBar(mb);
    add(tabbedPane);
   
    setVisible(true); 
    
   




  }

  
  class TestWindowListener extends WindowAdapter
  {
    public void windowClosing(WindowEvent e)
    {
      e.getWindow().dispose();                  
      System.exit(0);                            
    }           
  }
 
  public static void main (String args[]) 
  {  CheckForDB();
    new Administrator ();
  }

@Override
public void actionPerformed(ActionEvent e) {
	EinstAdmin G= new EinstAdmin();
	G.setBounds(10, 10, 400, 300);
	G.show();
	
}
}
